unit UAxes;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons, ExtCtrls;

type
  TFAxes = class(TForm)
    BRedraw: TButton;
    GBMltAxis: TGroupBox;
    LMltMax: TLabel;
    LHeight: TLabel;
    UDMltMax: TUpDown;
    EMltMax: TEdit;
    GBTempAxis: TGroupBox;
    GBMapAxis: TGroupBox;
    BClose: TButton;
    EFirstDomain: TEdit;
    ELastDomain: TEdit;
    LLastDomain: TLabel;
    LFirstDomain: TLabel;
    ETempMax: TEdit;
    ETempMin: TEdit;
    LMinValue: TLabel;
    LFinalTemp: TLabel;
    ETicksLabeledFrom: TEdit;
    LTicksLabeledFrom: TLabel;
    Lbp: TLabel;
    Bevel1: TBevel;
    ELabelDecimalPlaces: TEdit;
    LLabelDecimalPlaces: TLabel;
    ETempInc: TEdit;
    LDegC: TLabel;
    LTempInc: TLabel;
    LStartingTemp: TLabel;
    LMaxValue: TLabel;
    procedure BRedrawClick(Sender: TObject);
    procedure UDMltMaxClick(Sender: TObject; Button: TUDBtnType);
    procedure EMltMaxExit(Sender: TObject);
    procedure BCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FAxes: TFAxes;

implementation

uses UMain;

{$R *.DFM}


procedure TFAxes.BRedrawClick(Sender: TObject);
begin

  FMain.OnPaintPB1(Sender);

end;


(******************************************************************************)


procedure TFAxes.EMltMaxExit(Sender: TObject);
{ scale melting curve using edit box }
var
  MltMax : Real;

begin { TFAxes.EMltMaxExit }

  Val(FAxes.EMltMax.Text, MltMax, Code);
  if (MltMax > 0) and (MltMax < 5) and (Code = 0) { valid real number }
    then
      FAxes.UDMltMax.Position := Round(50 / MltMax)
    else
    begin
      MessageBeep(MB_ICONEXCLAMATION);
      FAxes.EMltMax.Text := '0.5000'; { default }
      EMltMaxExit(Sender); { rescale to default }
    end;

end; { TFAxes.EMltMaxExit }


(******************************************************************************)


procedure TFAxes.UDMltMaxClick(Sender: TObject; Button: TUDBtnType);
begin { TFAxes.UDMltMaxClick }

  VertSpacing := Round(560 * FAxes.UDMltMax.Position / 100); { default scale = 0.5 }
  MltMax := 560 / VertSpacing * 0.5; { for melting curve max value }
  Str(MltMax:0:4, MltMaxString);
  FAxes.EMltMax.Text := MltMaxString;

end; { TFAxes.UDMltMaxClick }


(******************************************************************************)


procedure TFAxes.BCloseClick(Sender: TObject);
begin { TFAxes.BDismissClick }

  FAxes.Visible := False;

end; { TFAxes.BDismissClick }


(******************************************************************************)


end.
